Package org.eclipse.jdt.core.refactoring.descriptors

## Class RenameLocalVariableDescriptor

- java.lang.Object
- - org.eclipse.ltk.core.refactoring.RefactoringDescriptor
  - - org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringDescriptor
    - - org.eclipse.jdt.core.refactoring.descriptors.RenameLocalVariableDescriptor

All Implemented Interfaces:
  `Comparable<RefactoringDescriptor>`

    @Deprecated
    public final class RenameLocalVariableDescriptor
    extends JavaRefactoringDescriptor

Deprecated.
since 1.2 merged into `RenameJavaElementDescriptor`
Refactoring descriptor for the rename local variable refactoring.

An instance of this refactoring descriptor may be obtained by calling `RefactoringContribution.createDescriptor()` on a refactoring contribution requested by invoking `RefactoringCore.getRefactoringContribution(String)` with the appropriate refactoring id.

Note: this class is not intended to be instantiated by clients.

Since:
  1.1
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

### Fields inherited from class org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringDescriptor

`ATTRIBUTE_ELEMENT, ATTRIBUTE_INPUT, ATTRIBUTE_NAME, ATTRIBUTE_REFERENCES, ATTRIBUTE_SELECTION, ATTRIBUTE_VERSION, fArguments, JAR_MIGRATION, JAR_REFACTORING, JAR_SOURCE_ATTACHMENT, VALUE_VERSION_1_0`

### Fields inherited from class org.eclipse.ltk.core.refactoring.RefactoringDescriptor

`BREAKING_CHANGE, ID_UNKNOWN, MULTI_CHANGE, NONE, STRUCTURAL_CHANGE, USER_CHANGE`

### Constructor Summary

Constructors
`RenameLocalVariableDescriptor()` Deprecated. merged into `RenameJavaElementDescriptor`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected void` `populateArgumentMap()` Deprecated. Populates the refactoring descriptor argument map based on the specified arguments.
`void` `setCompilationUnit​(ICompilationUnit unit)` Deprecated. Sets the compilation unit which contains the local variable.
`void` `setNewName​(String name)` Deprecated. Sets the new name to rename the local variable to.
`void` `setSelection​(ISourceRange selection)` Deprecated. Sets the selection within the compilation unit which references the local variable to rename.
`void` `setUpdateReferences​(boolean update)` Deprecated. Determines whether references to the local variable should be renamed.
`RefactoringStatus` `validateDescriptor()` Deprecated. Validates the refactoring descriptor with respect to the constraints imposed by the represented refactoring.

### Methods inherited from class org.eclipse.jdt.core.refactoring.descriptors.JavaRefactoringDescriptor

`createRefactoring, elementToHandle, getArguments, handleToElement, handleToElement, handleToElement, handleToResource, resourceToHandle, setComment, setDescription, setFlags, setProject`

### Methods inherited from class org.eclipse.ltk.core.refactoring.RefactoringDescriptor

`compareTo, createRefactoringContext, equals, getComment, getDescription, getFlags, getID, getProject, getTimeStamp, hashCode, setTimeStamp, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RenameLocalVariableDescriptor

    @Deprecated
    public RenameLocalVariableDescriptor()

Deprecated.
merged into `RenameJavaElementDescriptor`
Creates a new refactoring descriptor.

### Method Detail

#### populateArgumentMap

    protected void populateArgumentMap()

Deprecated.
Description copied from class: `JavaRefactoringDescriptor`
Populates the refactoring descriptor argument map based on the specified arguments. Subclasses should extend and add their arguments to `JavaRefactoringDescriptor.fArguments`.

Overrides:
  `populateArgumentMap` in class `JavaRefactoringDescriptor`

#### setCompilationUnit

    public void setCompilationUnit​(ICompilationUnit unit)

Deprecated.
Sets the compilation unit which contains the local variable.

Parameters:
  `unit` - the compilation unit to set

#### setNewName

    public void setNewName​(String name)

Deprecated.
Sets the new name to rename the local variable to.

Parameters:
  `name` - the non-empty new name to set

#### setSelection

    public void setSelection​(ISourceRange selection)

Deprecated.
Sets the selection within the compilation unit which references the local variable to rename.

Parameters:
  `selection` - the selection to set

#### setUpdateReferences

    public void setUpdateReferences​(boolean update)

Deprecated.
Determines whether references to the local variable should be renamed.

The default is to not update references.

Parameters:
  `update` - `true` to update references, `false` otherwise

#### validateDescriptor

    public RefactoringStatus validateDescriptor()

Deprecated.
Description copied from class: `JavaRefactoringDescriptor`
Validates the refactoring descriptor with respect to the constraints imposed by the represented refactoring.

Clients must call this method to verify that all arguments have been correctly set and that they satisfy the constraints imposed by specific refactorings. Returning a refactoring status of severity `RefactoringStatus.FATAL` indicates that the refactoring descriptor cannot be used to create a refactoring instance.

Overrides:
  `validateDescriptor` in class `JavaRefactoringDescriptor`
Returns:
  a refactoring status describing the outcome of the validation